package com.kingdee.eas.custom.permissioncontrol;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PermApplyBillRolePermApplyCollection extends AbstractObjectCollection 
{
    public PermApplyBillRolePermApplyCollection()
    {
        super(PermApplyBillRolePermApplyInfo.class);
    }
    public boolean add(PermApplyBillRolePermApplyInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PermApplyBillRolePermApplyCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PermApplyBillRolePermApplyInfo item)
    {
        return removeObject(item);
    }
    public PermApplyBillRolePermApplyInfo get(int index)
    {
        return(PermApplyBillRolePermApplyInfo)getObject(index);
    }
    public PermApplyBillRolePermApplyInfo get(Object key)
    {
        return(PermApplyBillRolePermApplyInfo)getObject(key);
    }
    public void set(int index, PermApplyBillRolePermApplyInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PermApplyBillRolePermApplyInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PermApplyBillRolePermApplyInfo item)
    {
        return super.indexOf(item);
    }
}